using System.Collections.Generic;

namespace Interfaces
{
    public interface INotifierManager
    {
        List<string> GetAvailableNotifiers();
        void NotifyRaceStarted(NotificationEventArgs args);
        void NotifyRaceStarting(NotificationEventArgs args);
        void NotifyRaceLapEvent(NotificationEventArgs args, Pilot pilot);
        void NotifyRaceWinner(NotificationEventArgs args, Pilot pilot);
        void NotifyRaceFinished(NotificationEventArgs args);
    }
}
